Subject: Re: "Accented" characters
From: Alain CULOS <[email-masked]>
Cc: [email-masked]
Date: Mon, 15 Mar 1999 18:12:58 +0000

Benjamin Riefenstahl wrote:

> Hi everybody,
>
> > Henrik Johansson wrote:
> > > There is a couple of problems, however.  When I write (in bash)
> > >         ls //c/tmp/l*.txt
> > > the response is
> > >         //c/tmp/l?smig.txt
> > > even though the real filename is "läsmig.txt" (the second character in
> > > the filename has the code 228, or 0xE4...it is an 'a' with two dots).
>
> Benjamin Riefenstahl wrote:
> >         chcp 1252
>
> Ok, after some private exchange with Dan Herron
> <[email-masked]> I caved in and actually tested these
> things instead of just shooting from the hip ;-). Note that all that
> follows is only tested with b18 (good enough for my occasional tests
> until now).
>
> Firstly, in b18 bash needs the complete filename for CHCP, so it's
> actually "chcp.com 1252".

When I read that I was delighted I would be able to have proper accents in my
Bash/Dos window.
Pity is I don't seem to have chcp.com at all at all (yes I did a comprehensive
search on my disk).
Any idea what could replace chcp on a Windows 95 B platform ?
The rest will probably work fine once I have that chcp thingy replaced.

> Secondly, bash needs some additional configuration in ~/.inputrc (copied
> from my Linux box):
>
> >>>>>>>>>>>
> set convert-meta Off
> set output-meta On
> <<<<<<<<<<<
>
> Thirdly and lastly, for ls to show 8-bit chars correctly, the "-N" (AKA
> "--literal") option is needed, so
>
>   ls -N
>
> does the job.
>
> so long, benny
> ======================================
> Benjamin Riefenstahl ([email-masked])
> Crocodial Communications EntwicklungsGmbH
> Ruhrstr. 61, D-22761 Hamburg, Germany

--
ANTI SPAM / ANTI ARROSAGE COMMERCIAL :
Pour me répondre, veuillez enlever le Z de mon adresse.
To answer me, please take out the Z from my address.

--
Want to unsubscribe from this list?
Send a message to [email-masked]